from fastapi import APIRouter

from app.api.v1.endpoints import (
    login, users, roles, students, teachers, courses, enrollments,
    exams, questions, question_options, exam_results
)

api_router = APIRouter()
api_router.include_router(login.router, tags=["login"])
api_router.include_router(users.router, prefix="/users", tags=["users"])
api_router.include_router(roles.router, prefix="/roles", tags=["roles"])
api_router.include_router(students.router, prefix="/students", tags=["students"])
api_router.include_router(teachers.router, prefix="/teachers", tags=["teachers"])
api_router.include_router(courses.router, prefix="/courses", tags=["courses"])
api_router.include_router(enrollments.router, prefix="/enrollments", tags=["enrollments"])
api_router.include_router(exams.router, prefix="/exams", tags=["exams"])
api_router.include_router(questions.router, prefix="/questions", tags=["questions"])
api_router.include_router(question_options.router, prefix="/options", tags=["question_options"])
api_router.include_router(exam_results.router, prefix="/exam-results", tags=["exam_results"])