from sqlalchemy import Column, Integer, String, Date, ForeignKey
from sqlalchemy.orm import relationship

from app.db.base_class import Base


class Teacher(Base):
    id = Column(Integer, primary_key=True, index=True)
    teacher_id = Column(String(20), unique=True, index=True, nullable=False)
    date_of_birth = Column(Date, nullable=True)
    address = Column(String(255), nullable=True)
    phone_number = Column(String(20), nullable=True)
    department = Column(String(50), nullable=True)
    hire_date = Column(Date, nullable=True)
    
    # Foreign keys
    user_id = Column(Integer, ForeignKey("user.id"), unique=True, nullable=False)
    
    # Relationships
    user = relationship("User", back_populates="teacher")
    courses = relationship("Course", back_populates="teacher")
    
    def __repr__(self):
        return f"<Teacher {self.teacher_id}>"